Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util.hashtable
Class SequencedLongHashMap

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.SequencedLongHashMap

public class SequencedLongHashMap
extends AbstractHashtable

Nested Class Summary
`static class` | `SequencedLongHashMap.Entry` Represents an entry in the map.

Constructor Summary
`SequencedLongHashMap()`
`SequencedLongHashMap(int iSize)`

Method Summary
`void` | `clear()` Clear the map.
`java.lang.Object` | `get(long key)` Returns the value for key or null if the key is not in the map.
`SequencedLongHashMap.Entry` | `getFirstEntry()` Returns the first entry added to the map.
`java.util.Iterator` | `iterator()` Returns an iterator over all keys in the order in which they were inserted.
`void` | `put(long key, java.lang.Object value)` Add a new entry for the key.
`java.lang.Object` | `remove(long key)` Remove the entry specified by key from the map.
`void` | `removeEntry(SequencedLongHashMap.Entry entry)` Remove an entry.
`java.lang.Object` | `removeFirst()` Remove the first entry added to the map.
`java.util.Iterator` | `valueIterator()` Returns an iterator over all values in the order in which they were inserted.

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencedLongHashMap

    public SequencedLongHashMap()

### SequencedLongHashMap

    public SequencedLongHashMap(int iSize)

Method Detail

### put

    public void put(long key,
                    java.lang.Object value)

  Add a new entry for the key.

  Parameters:
    `key` -
    `value` -

### get

    public java.lang.Object get(long key)

  Returns the value for key or null if the key is not in the map.

  Parameters:
    `key` -

### getFirstEntry

    public SequencedLongHashMap.Entry getFirstEntry()

  Returns the first entry added to the map.

### remove

    public java.lang.Object remove(long key)

  Remove the entry specified by key from the map.

  Parameters:
    `key` -

### removeFirst

    public java.lang.Object removeFirst()

  Remove the first entry added to the map.

### removeEntry

    public void removeEntry(SequencedLongHashMap.Entry entry)

  Remove an entry.

  Parameters:
    `entry` -

### clear

    public void clear()

  Clear the map.

### iterator

    public java.util.Iterator iterator()

  Returns an iterator over all keys in the order in which they were inserted.

  Specified by:
    `iterator` in class `AbstractHashtable`

### valueIterator

    public java.util.Iterator valueIterator()

  Returns an iterator over all values in the order in which they were inserted.

  Specified by:
    `valueIterator` in class `AbstractHashtable`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.